Skip to main content
POST
Create a card

Authorizations

Authorization
string
header
required

Short-lived OAuth 2.0 access token. Tokens expire after five minutes.

Headers

Idempotency-Key
string

Optional key for safely replaying a card creation request with the same payload.

Query Parameters

page
integer
default:1

Page number

Search string

Body

type
enum<string>
required
  • EMPLOYEE - EMPLOYEE
  • VENDOR - VENDOR
  • SINGLE-USE - SINGLE_USE
Available options:
EMPLOYEE,
VENDOR,
SINGLE-USE
label
string | null
notes
string | null
employee_details
object | null

Defines details about the employee associated with the card. Required when type is EMPLOYEE; must resolve via id or email to exactly one active user.

vendor_details
object | null

Defines details about the vendor associated with the card. Required when type is VENDOR; must resolve via id or name to exactly one active vendor.

subsidiary_details
object | null

Defines details about the subsidiary associated with the card. Required when type is VENDOR or SINGLE-USE; must resolve via id or name to exactly one active subsidiary.

shared_with
integer[] | null
spend_controls
object | null
classification
object | null

Response

200 - application/json
id
integer
required